> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sturdytechnologies.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Validate Zelle ID

> Validate a Zelle account before funding



## OpenAPI

````yaml POST /zelle/validate
openapi: 3.1.0
info:
  title: Sturdy Technologies API
  description: API documentation for Sturdy Technologies Service
  contact: {}
  version: '1.0'
servers:
  - url: https://sandbox.sturdytechnologies.com/v3
    description: Sandbox server
security: []
paths:
  /zelle/validate:
    post:
      tags:
        - Zelle
      summary: Validate Zelle Account
      description: Validate a Zelle account before funding
      operationId: validateZelleAccount
      requestBody:
        description: Validate Zelle Account payload
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ValidateZelleReq'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidateZelleResp'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResp'
      security:
        - BearerAuth: []
components:
  schemas:
    ValidateZelleReq:
      type: object
      required:
        - user_id
        - zelle_id
      properties:
        user_id:
          type: string
          description: Unique identifier for the user
        zelle_id:
          type: string
          description: Zelle ID (email) to be validated.
          example: user@example.com
    ValidateZelleResp:
      type: object
      properties:
        data:
          type: string
          example: 'null'
        message:
          type: string
          example: >-
            Zelle ID validation request received. Status will be provided via
            webhook.
        success:
          type: boolean
          example: true
    ErrorResp:
      type: object
      properties:
        message:
          type: string
          example: Invalid request
        success:
          type: boolean
          example: false

````